%% SiSU version 3
  <http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=summary>
  <http://sources.sisudoc.org/?p=code/sisu.git;a=blob;f=data/doc/sisu/CHANGELOG_v3;hb=HEAD>

v3 branch closed with opening of v5 from >= 4.1
v3 branch is legacy: v4 branch supersedes & replaces it
v3 branch supersedes & replaces v2 branch
v2 introduces alternative (configurable) output structures
v1 branch is removed; it is available in sisu =< 2.7

* homepage at: <http://www.jus.uio.no/sisu>
* <http://www.jus.uio.no/sisu/SiSU/download>
* <http://www.jus.uio.no/sisu/SiSU/changelog>
* <http://sisudoc.org/sisu/sisu_manual>
* data/doc/sisu/sisu_markup_samples/sisu_manual/sisu_manual.ssm
* data/doc/sisu/sisu_markup_samples/sisu_manual/sisu_download.ssi
* CHANGELOG CHANGELOG_v2 CHANGELOG_v3 README data/doc/sisu/

%% Legacy Branch, Reference

  Version 3 to be closed on opening of version 4.1.* & v5 branch

  Version 3 introduced output directory structures nad filenames more
  compatible with mobile devices and other non-web use and more
  internationalisation possibilities.

  In v3 SiSU markup files may be organised in language directories that are
  given their language code. There are alternative output directory structures
  depending on whether you want: the v2 layout (mostly in a directory of the
  given filename/a generic filetype name); a monolingual version 3 layout,
  which organises files by filetype/given file name; multilingual v3 layout,
  which organises files by language code/filetype/given

  (see notes at bottom of file, near EOF)

%% Reverse Chronological:

%% 3.3.11.orig.tar.xz (2013-02-20:07/3)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_3.3.11
http://www.jus.uio.no/sisu/pkg/src/sisu_3.3.11.orig.tar.xz
  sisu_3.3.11.orig.tar.xz
  sisu_3.3.11-1.dsc

* epub, add markup of angle brackets '<' & '>' to early markup of amp. '&'

* vim, colorschemes, general housekeeping

* b_epub.png, epub icon (for manifest) updated to use official image

%% 3.3.10.orig.tar.xz (2013-02-10:05/7)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_3.3.10
http://www.jus.uio.no/sisu/pkg/src/sisu_3.3.10.orig.tar.xz
  sisu_3.3.10.orig.tar.xz
  sisu_3.3.10-1.dsc

* vim, minimal color schemes, minor edits

* dbi_discrete, discreet should have been discrete, renames accordingly

* lib, bin/sisu, misc, code headers provide url to online git file source
  * e.g. bin/sisu * Git
   <http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=summary>
   <http://sources.sisudoc.org/?p=code/sisu.git;a=blob;f=bin/sisu;hb=HEAD>

%% 3.3.9.orig.tar.xz (2013-02-06:05/3)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_3.3.9
http://www.jus.uio.no/sisu/pkg/src/sisu_3.3.9.orig.tar.xz
  sisu_3.3.9.orig.tar.xz
  sisu_3.3.9-1.dsc

* utils (debug renamed), Utils::CodeMarker (from Debug::Mark)

%% 3.3.8.orig.tar.xz (2013-02-03:04/7)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_3.3.8
http://www.jus.uio.no/sisu/pkg/src/sisu_3.3.8.orig.tar.xz
  sisu_3.3.8.orig.tar.xz
  sisu_3.3.8-1.dsc

* sysenv, on --redirect, stop creation of redundant dir

* html, includes book index fix, rest cosmetic

* css (html & epub) line spacing reduced, paragraph spacing increased
  * may need to tune spacing further to distinguish lines from new paragraphs
    (especially where ocn is not used as the distinction may be less
    clear/obvious) [sync with v4]

%% 3.3.7.orig.tar.xz (2013-01-31:04/4)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_3.3.7
http://www.jus.uio.no/sisu/pkg/src/sisu_3.3.7.orig.tar.xz
  sisu_3.3.7.orig.tar.xz
  sisu_3.3.7-1.dsc

* dal, on ocn excluded paragraphs (~# -#), hang/indent bullet, fix
  [bug reported indirectly by Cory Doctorow (discovered in work with markup)]

* dal (obj), html, br_page* behavior in html depending on origin of break
  (markup specified v auto)

%% 3.3.6.orig.tar.xz (2013-01-27:03/7)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_3.3.6
http://www.jus.uio.no/sisu/pkg/src/sisu_3.3.6.orig.tar.xz
  sisu_3.3.6.orig.tar.xz
  sisu_3.3.6-1.dsc

* epub some fixing, more documents render in more readers/viewers
  * ncx fix, navpoint_close

* remove markup-sample of the first edition of FaiF as redundant, the
  markup for the second edition being available (& partly in response to
  Bug#698664 which leads me to think about it), removed:
  free_as_in_freedom.richard_stallman_crusade_for_free_software.sam_williams.sst
  associated skin and associated images

%% 3.3.5.orig.tar.xz (2013-01-23:03/3)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_3.3.5
http://www.jus.uio.no/sisu/pkg/src/sisu_3.3.5.orig.tar.xz
  sisu_3.3.5.orig.tar.xz
  sisu_3.3.5-1.dsc

* epub
  * remove unnecessary conversion of some utf-8 characters to xhtml
    representation; fix as messed up table of contents, toc.ncx
    (e.g. in calibre) [bug reported by Mikael Böök]
  * provide full depth epub table of contents [request Mikael Böök]
  * cosmetic arrangement of code <<-WOK
  * xhtml structure error, fix missing </div>
    [bug reported by Mikael Böök] (fix of additional detail)

* html
  * remove unnecessary conversion of some utf-8 characters to html
    representation

* texpdf_format
  * list of .sty files (and their texlive source within Debian)
    [not part of code]

* param, match possible sisu version, detail

%% 3.3.4.orig.tar.xz (2013-01-01:00/2)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_3.3.4
http://www.jus.uio.no/sisu/pkg/src/sisu_3.3.4.orig.tar.xz
  sisu_3.3.4.orig.tar.xz
  sisu_3.3.4-1.dsc

* html_segments (by_filename by_filetype) internal document links do not
  work filenames need to include lang code, fixed
  [chals on irc, re live-manual, debian-live]

* plaintext, in code blocks retain a blank empty line, a fix
  [known old bug, affects sisu_manual, fix request from SynrG on irc, re
  live-manual]

* manpage, attempt to improve output (line-spacing)

* param, minor change any legacy <br> line break in metadata markup to \\

* debug (internal code use), color markers for line number & file name
  (colored location markers to show when line passed within running code)

%% 3.3.3.orig.tar.xz (2012-10-03:40/3)
http://sources.sisudoc.org/gitweb/?p=code/sisu.git;a=shortlog;h=refs/tags/sisu_3.3.3
http://www.jus.uio.no/sisu/pkg/src/sisu_3.3.3.orig.tar.xz
  sisu_3.3.3.orig.tar.xz
  sisu_3.3.3-1.dsc

* cosmetic, code
  * true ? x : y
  * if, else, remove some semicolons (;) replace with newlines
  * if true ; x, remove semicolons replace with "then"
  * .is_a?(X) replaces .class==X (& for some defined? and nil? tests)
  * remove javascript holders js_ (not used)

* some fixes, cleaning, removing

* sisu -v, provide version information, fix

* options, opt_act, limit calls
  ruby profiler indicates much time spent here, reduce

* constants, year static (current): YEAR=2012

* bin/sisu, hub, reorganize call

* dbi, pgsql, report need for instructions when none given, rather than
  fail silently

* some pre-unicode meddling sorted
  (covers bug reported as middle dot changed to asterisk by chals)

* sisupod source, paths fix

* odf, internal links/bookmarks, toc, book index

* pdflatex, fixes
  * landscape cover page was botched, came out as portrait

* pdf, fix
  * group text, bullet
  * group text, hardspaces at start of line (indent)
  * group text, pass through special characters safe
  * poem, bold etc.

* html, epub, fix
  * group text, bullet

* header @classify: :topic_register: provide greater classification "depth"
  * param, manifest
  * harvest_topics

* dal, sysenv
  * markup file processing, change to sourcefile readlines & split of sourcefile array
  * removal of RUBY_VERSION references to older versions of ruby

* dal_syntax, new syntax: =\\= page new & -\\- page break
  alias for <:pn> and <:pb> respectively

* db
  * introduce book_idx
  * minor re-arranging

* cgi search script, minor

* vim syntax sisu.vim, =\\= page new & -\\- page break

* markup samples, and help, minor updates

* vim ftplugin sisu.vim
  * linenumbering: on; relative; off, <leader>nn
  * cursor line & column: on; off, <leader>cu (existing cu+ & cu-)

%% 3.3.2.orig.tar.xz (2012-06-30:26/6)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.3.2
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.3.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.3.2.orig.tar.xz
  13c0a50bd8f0c305d5ea46d9168029c45c26533805b04d6d7fa719e37d9d9111 1690808 sisu_3.3.2.orig.tar.xz
  921119f0a9da087883e2ecd978ecba03cdd6be66d66885af24c0c63c7d13053e 1382 sisu_3.3.2-1.dsc
  0a33ee349bf73a67c1df01909c5836cc0e392168e4803b74f3a6f078dca1f34f 297792 sisu_3.3.2-1.debian.tar.gz

* texpdf, xetex screen reporting of warnings off unless sisu -pV used

%% 3.3.1.orig.tar.xz (2012-06-23:25/6)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.3.1
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.3.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.3.1.orig.tar.xz
  96cde8f54b01789d335d34790900f5921db1c661fe31ae8c614e478c0fd0ad9c 1690476 sisu_3.3.1.orig.tar.xz
  d4f174fadef8a30d8efe6c76e0f543603037587eb3c25005fa1c63bd0b7cf3f5 1382 sisu_3.3.1-1.dsc
  0f98f13f63c0a50af32a1eef06f772edcf3545b931d8fd82acde52091182b476 297413 sisu_3.3.1-1.debian.tar.gz

  * texpdf_format, urls in headings break pdf documents, fix
    (e.g. output generation of document sample gpl.fsf.sst pdf fixed)

  * sysenv, rsync put (post to remote site), fix, needs comprehensive check
    (broken since version 3 (did not cope with alternative output structures),
    start to fix; still broken: rsync get (sisu source); also scp put & get)

  * hub, some re-arrangement

%% 3.3.0.orig.tar.xz (2012-06-17:24/7)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.3.0
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.3.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.3.0.orig.tar.xz
  7c2d94e2dbeacde2ddddf30df05243139e79a91d0e10f80dbf557886179cf499 1690288 sisu_3.3.0.orig.tar.xz
  eb658f619029adb9d91d9798e5b4fe2d0a80458b441c68ae76929179b35615e0 1382 sisu_3.3.0-1.dsc
  61d0e0924662c0bf96a1d6669315ab75b435e7bbde179aaa9084922240280d20 296989 sisu_3.3.0-1.debian.tar.gz

  * shared_sisupod_source, common build for sisu (markup) source representations
    to be used by sisupod.txz, git, (and src)
    * sisupod_make (--sisupod)
    * share_source (--source)
    NOTE not used git at present
    * changed representation of shared sisu source, include related files in
      directory rather than just markup file [reason for version bump]
    NOTE there are no changes to sisu markup (only the sharing of source files)

%% 3.2.12.orig.tar.xz (2012-06-06:23/3)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.2.12
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.2.12-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.2.12.orig.tar.xz
  b65d092d99c8b0695ffe55047082f0b903090185b01874660eb35876814787bc 1689100 sisu_3.2.12.orig.tar.xz
  af00de9088c0291f7afa5310bc2e4da6e43dfd8a01fa35e988f42a4e63dd4795 1389 sisu_3.2.12-1.dsc
  3005baaad8b61cca00c72f91c602e17524ee99096a103bc38282c863178d2d84 297163 sisu_3.2.12-1.debian.tar.gz

* hub, post bundles
  * sisupod_make, file selection selection for tar.xz, fix

* dbi_discreet, screen reporting db location, fix

* shared_images, fix

* excludes --exc-html-
  * html (toc & scroll), (html_segments, concordance,) exclude top band, touch
      sisu --exc-top-band --html --concordance filename.sst
  * html_segments, @make.build.html_navigation? fix

* sysenv, check @md.make.respond_to?(:skin)

* screen reporting, ansi colors, cosmetic

* Rake, Rant installer sisu installer require ruby >= 1.9.3

%% 3.2.11.orig.tar.xz (2012-06-03:22/7)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.2.11
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.2.11-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.2.11.orig.tar.xz
  3fec50693bbf2a7145150ce99ae09bad540e1473c6f9ea703314fa57a2c52b4f 1688708 sisu_3.2.11.orig.tar.xz
  7c680e160932cbce9712c3d23b34044bcd9a6bfaa61bc3e9be73aed48d72a591 1389 sisu_3.2.11-1.dsc
  409c2c5c0592643b071a2fd8b6132c45f79f6c0e06bbcebb52137d9ea235b95c 297226 sisu_3.2.11-1.debian.tar.gz

* images, regular & sisupod
  * shared_images, --html, --xhtml, --xml*
  * sisupod images done: --html including skin images; --epub; --odf; --pdf
  * copy (system link removed)

* manifest, paths, (for command line selection of output type) fix

* urls, sisupod, fix

* warn when files to be copied not found, add

* error & warning messages touched, revisit

%% 3.2.10.orig.tar.xz (2012-05-28:22/1)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.2.10
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.2.10-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.2.10.orig.tar.xz
  d09ce78ca03342efd66b19623ed5275ef6e59caa47027540a7b9da1cf7eda834 1687428 sisu_3.2.10.orig.tar.xz
  1d17dea47e3be8b82edd4f1d92c7c0de51d115c784005fcf3ddc8df7cea047fc 1389 sisu_3.2.10-1.dsc
  696bba112c638be0af185f1b185709c7a57822d75e31b7aa4cd22321bf786be3 296725 sisu_3.2.10-1.debian.tar.gz

* hub
  * "requires", fix
  * manifest re-run where related multilingual documents, fix
    BUG breaks mini table of contents (minitoc) manifest for multilingual files,
    better run without manifest minitoc, use --exc-manifest-minitoc
  * share markup source (--source) not available at this time for composite
    files (.ssm), suggest creating a sisupod instead

* options, --init-site, --configure, fix

* code headers, mostly copyright

* options, command line control of output directory structure
  --output-by-language; --output-by-filetype; --output-by-filename, or
  --by-language; --by-filetype; --by-filename
  * documentation update sisu_commands.ssi, manpage sisu.1, man2html

* css, ensure css available for generated content (without need for
  --init-site / --configure), checks whether exists if not copies (for
  --init-site / --configure just copies, takes as a re-copy request)

* sisupod.txz processing
  BUG image copying/processing for sisupod

* html_format, minor cleaning

BUGS
  * broken mini table of contents (minitoc) manifest for multilingual files,
    better run without use --exc-manifest-minitoc
  * sisupood image copying/processing, broken

%% 3.2.9.orig.tar.xz (2012-05-19:20/6)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.2.9
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.2.9-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.2.9.orig.tar.xz
  776f65affd9819f133ab1e7a62565a5a81c80985788b7b2c9792b8881b7bc986 1685664 sisu_3.2.9.orig.tar.xz
  fc1fe3a3112681c903a27e80ecfbba58b27df5b9847128bec74ad23f377ce1e3 1382 sisu_3.2.9-1.dsc
  6438a6e29cb81afd678e11fdadbc5b55ec6f225e21dc7b5d53671df9853777da 295991 sisu_3.2.9-1.debian.tar.gz

* harvest
  * harvest by filename output paths
  * harvest_topics, add level
  * harvest_topics, alternative headings, fix

* options, create manifest touched

%% 3.2.8.orig.tar.xz (2012-05-12:19/6)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.2.8
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.2.8-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.2.8.orig.tar.xz
  5138595d489f36c1cf0f64a014bb47bbbc3c38a36fb1f6d686f09933a29ca86d 1685524 sisu_3.2.8.orig.tar.xz
  eb828ddde0f9b98e23713d430a6356a756120f624244a9d6acd46a4134867c6f 1382 sisu_3.2.8-1.dsc
  b869ef3e9c23ef43dab0321400ba3bd6cb4c8f0ddc3e9cf649db77080a4a5378 296097 sisu_3.2.8-1.debian.tar.gz

* sisupod make, re-fixed, check again

* hub, fixes, still a construction zone

* po4a, runs, needs checking

* misc fixes
  * options, omissions and typo fix
  * particulars, fix, check
  * shared_metadata, fix

* sst_identify_markup, introduce document header SiSU 3.0,
  pretty much the same as 2.0

* reporting
  * composite file names touched
  * rescue & error warnings, more touched

%% 3.2.7.orig.tar.xz (2012-05-06:18/7)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.2.7
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.2.7-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.2.7.orig.tar.xz
  6a75dfe1c7980e6caa07790f8e9b3831b730308de68a408db1ef1b9e202431bc 1685048 sisu_3.2.7.orig.tar.xz
  58253f0cf3ece9b52085a3571b136dd82b79f5602f35a364d77994d95990b074 1382 sisu_3.2.7-1.dsc
  07dbe1ee848421339560a09f430321b94d05da9fdac53e493701c92d49b98682 296207 sisu_3.2.7-1.debian.tar.gz

* hub, options, fixes
  * dbi: pgsql, sqlite

* qrcode, fixes
  * ensure manifest is run
  * urls fix

* rescue & error warnings, some touched

%% 3.2.6.orig.tar.xz (2012-05-01:18/2)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.2.6
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.2.6-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.2.6.orig.tar.xz
  55bb426474fb39b0488c71c42bd2d80172b15ac12253fd5832975ee93443d1c2 1684524 sisu_3.2.6.orig.tar.xz
  16ae934e2a55d5c63bcc6bd642c5fe8b60f024288b402a9505e84505ad5643ad 1382 sisu_3.2.6-1.dsc
  8d26a58d4314487464efddc673b681997cf4de5f11feba798063352b63a44a84 295541 sisu_3.2.6-1.debian.tar.gz

* harvest (metadata, site/document summary) fixes
  * harvest_topics, sort fix
  * harvest_authors, minor fix
  * sst content parsing lang dir
  * output file location, currently works for (by?) :language & :filetype

* hub (seek finer grained control over what happens when; causes breakage)
  * (primarily) cycle files then options (instead of options then files)
  * manifest re-run on (currently generated) translated files if any

%% 3.2.5.orig.tar.xz (2012-04-22:16/7)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.2.5
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.2.5-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.2.5.orig.tar.xz
  2238f9a6d88f9060ffe42b77bd77c2b668948d6dfdcf9a151f24dbbdf54b9857 1682996 sisu_3.2.5.orig.tar.xz
  0d798dd042acd8ea7bf3b5efd9710ea94f2146dc192e2a79619dcc63a039f5bd 1382 sisu_3.2.5-1.dsc
  5740d2d7004188fa15809cef23c2d4f5fb382f360a13efe23df5dacaeb40e3e0 295265 sisu_3.2.5-1.debian.tar.gz

  * shared_html_lite, codeblock fix, affecting sql:
    SELECT ocn,body FROM doc_objects WHERE t_is='code';
    SELECT ocn,clean FROM doc_objects;

%% 3.2.4.orig.tar.xz (2012-04-21:16/6)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.2.4
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.2.4-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.2.4.orig.tar.xz
  6bb53debc788a572562272d4f639ca872a2995e06b2d3fa6e867c44ac8f7194e 1682800 sisu_3.2.4.orig.tar.xz
  256d99071bd4ea95020df777b40451f7bb79cfd6531351f0fd00734cc9133c73 1382 sisu_3.2.4-1.dsc
  31bf5091aaf1122906de09c9d17d3b2fccd4fd6cfdc768fad5485b8c0bb98d63 295114 sisu_3.2.4-1.debian.tar.gz

* db bugfix in maintenance mode (variable name reused)

* sysenv, default processing dir name change
  * distinguish sisu branch, add sisu branch to processing directory name
  * if constants, 'DEVELOPER[:maintenance] == :true' then additionally add
    sisu version number to processing directory name

* rescue reporting

%% 3.2.3.orig.tar.xz (2012-04-15:15/7)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.2.3
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.2.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.2.3.orig.tar.xz
  e60f0620997a0a9b90fbc53d2c86d7699cd33b8671416750c7cd105dc269328f 1682296 sisu_3.2.3.orig.tar.xz
  f9b52350a1dc108696c044927cfd70126857b23b0d3bde5a36af0e2f498b10a4 1382 sisu_3.2.3-1.dsc
  a26ac7b58b0af59d1316ff91911c3703bf2b8a2f2fafd1ab0381ea7e84326494 294997 sisu_3.2.3-1.debian.tar.gz

* param, dal_syntax, document header (simple regex) substitution list
  added, note $ and curly braces are escaped to allow the following:
  @make:\n :substitute: /${linux-distro}/,'Debian' /${stable}/,'Squeeze' \
  /${testing}/,'Wheezy'
  changes are not made within text object types: code-blocks, tables or
  metadata (document headers). Marked up document remains self-referential.
  Note: the substitution list must be written on a single line, without
  line-breaks.
  [Substitutions possibility requested by Debian-live, live-manual (Ben
  Armstrong & Daniel Baumann)]

* vim syntax highlighting, document header added :substitute: (under
  @make:)

%% 3.2.2.orig.tar.xz (2012-04-05:14/4)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.2.2
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.2.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.2.2.orig.tar.xz
  29b758af4880df9a2b3cd158400a75bcf9fbd6f5c73fd9841cfbdf39b38289c0 1681412 sisu_3.2.2.orig.tar.xz
  31fd5742603e111f7bd6258dbda3866d0aa154424cdb8e0753487aae1e2c96c5 1382 sisu_3.2.2-1.dsc
  fcaa11575e82983ca3cc9b72c4affa7cc2086556cb3ea3e7a9df81f69f754ca3 294818 sisu_3.2.2-1.debian.tar.gz

  * reporting
    * urls
    * sql creation -v reporting reduced (to better suit use of
      sqlite_discreet with other output types) for more use -V or -M

  * sysenv, path.style (a quick fix, review)

%% 3.2.1.orig.tar.xz (2012-03-21:12/3)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.2.1
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.2.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.2.1.orig.tar.xz
  802f173db7918c1b7cc8f75060561725c7366e1addda6fda2367a11bcd55ae07 1680956 sisu_3.2.1.orig.tar.xz
  99de0bf1930f7dae8feec4cc7d0809c81c89ac50c9a7c0e7974d6dc91770d82f 1382 sisu_3.2.1-1.dsc
  ef8acf443ac79122fd0da79d25ea94c659bcf8bcd4f631d58e4c1f3b94b2c788 294764 sisu_3.2.1-1.debian.tar.gz

* documentation sisu_commands, rearranged; update with regard to
  excludes; & discreet sqlite output
  * manpage
  * html (man2html)

* COPYRIGHT add markup samples "Free as in Freedom"

%% 3.2.0.orig.tar.xz (2012-03-19:12/1)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.2.0
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.2.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.2.0.orig.tar.xz
  3a41c6d4026a771ae07337bcbd69b69f7a9c57731692b7b901e610499a2a05c6 1680984 sisu_3.2.0.orig.tar.xz
  8d414b98e1ad9fd6329f3ca541e21bc5cd8b17c1e0479f83206b19768baba273 1382 sisu_3.2.0-1.dsc
  58da58c9fcfdf6110aadbb1d3548067fb2537871891a2a2b81c5d27f62fb7161 293953 sisu_3.2.0-1.debian.tar.gz

* start 3.2: merge v3dv (3.2) into v3 (3.1)
  * conf/sisu/v3dv --> conf/sisu/v3
  * data/sisu/v3dv --> data/sisu/v3
  * lib/sisu/v3dv  --> lib/sisu/v3
  * bin/sisu* (change v3dv references to v3)

* COPYRIGHT, format changed, influenced by Machine-readable debian/copyright
  file <http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/>

%% 3.1.15.orig.tar.xz (2012-03-12:11/1)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.15
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.15-1
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.15-2
http://www.jus.uio.no/sisu/pkg/src/sisu_3.1.15.orig.tar.xz
  d4154f05ee65ccd863037ab7c79fe81fd4669ef7cd31f7b1a5b1daa9c5f663f6 1693528 sisu_3.1.15.orig.tar.xz
  7ca9623413624bc5b05de6f0fec607e26c0a9cca51af771ddd967b4ef30e8442 1389 sisu_3.1.15-1.dsc
  fa2afc1a55ac4c56cc66102e027aa773c23b216cb2c5dda93043e632daff16c7 293526 sisu_3.1.15-1.debian.tar.gz
  4d820d70719e9d2ecf1923a5149c866221780d8ebe7c43443c9d2a8a3d5eb4e9 1389 sisu_3.1.15-2.dsc
  a2e1314d1eaea28515d62ad34aeb18304256acfd69fefe11c4c078066a56d5af 293380 sisu_3.1.15-2.debian.tar.gz

* v3dv: sysenv, ProcessingSettings, start to use hooks to make it possible to
  control (via: the command line; the document markup header, or; the
  configuration file) the likes of: ocn, toc, segsubtoc, minitoc,
  links-to-manifest, search-form, html-navigation, html-navigation-bar,
  html-right-pane, html-top-band; these are switched on by default and may be
  switched off in omit lists within configuration file, the document markup
  header, or command line. The command line takes precedence & may switch on
  or off overriding settings within the document markup header or the sisu
  configuration file.
  * --inc- on by default, but if switched off in doc header or configuration,
    the command line --inc- has precedence; for each possible exclude
    configuration the --inc- switch that overrides configuration settings
  * --exc- == --no-; exclude/switch off feature (but --inc- include has
    precedence)
  * document header @build: :omit: [list output features to be omitted]
  * configuration (sisurc.yml) omit:
  exclude output feature, overrides configuration settings (omit --dev
  development branch modifier once merged back to main)
   --exc-ocn,                 html (seg, scroll), epub, xml, pdf
     sisu --dev --exc-ocn --html --epub --xml-sax --xml-dom --xhtml -v filename.sst
   --exc-toc,                 html (scroll), epub, pdf
     sisu --dev --exc-toc --html --epub --pdf -v filename.sst
   --exc-segsubtoc            html (seg), epub
     sisu --dev --exc-segsubtoc --html --epub -v filename.sst
   --exc-minitoc,             html (seg), concordance, manifest
     sisu --dev --exc-minitoc --html --concordance -v filename.sst
   --exc-manifest-minitoc,    manifest
     sisu --dev --exc-manifest-minitoc --html -v filename.sst
   --exc-links_to_manifest, --exc-manifest-links,
                              html (seg, scroll)
     sisu --dev --exc-manifest-links --html -v filename.sst
   --exc-search-form,         html (seg, scroll), manifest
     sisu --dev --exc-search-form --html -v filename.sst
   --exc-html-minitoc,        html (seg), concordance
     sisu --dev --exc-html-minitoc --html --concordance -v filename.sst
   --exc-html-navigation,     html (seg, scroll)?
     sisu --dev --exc-html-navigation --html -v filename.sst
   --exc-html-navigation-bar, html (seg)
     sisu --dev --exc-html-navigation-bar --html -v filename.sst
   --exc-html-search-form,    html (seg, scroll)
     sisu --dev --exc-html-search-form --html -v filename.sst
   --exc-html-right-pane,     html (seg, scroll)
     sisu --dev --exc-html-right-pane --html -v filename.sst
   --exc-html-top-band,       html (seg, scroll), concordance
                              (minitoc is forced on to provide seg navigation)
     sisu --dev --exc-html-top-band --html --concordance -v filename.sst

* v3dv, vim syntax highlighting, document header added :omit: (under @make:)
  for document output features to be omitted if any

* v3dv, documentation sisu_commands, rearranged; update with regard to
  excludes; & discreet sqlite output

* v3dv, sqlite3 discreet .sql.db file for each document (in addition to
  existing possibility of a shared db in sqlite3 or postgresql)

* texinfo, fix (break holding back 3.2 merge)
  [proposed next version starts 3.2, (merge dev branch after 3.1.15)]

%% 3.1.14.orig.tar.xz (2012-02-14:07/2)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.14
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.14-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.1.14.orig.tar.xz
  7e55bea5482dc34d4140c2214db2d53f8458e7c58003460768589c5d5221d6d8 1689384 sisu_3.1.14.orig.tar.xz
  137ec96c26497d6cfc974247aa6c62c5d3ed51bd3a125fe99afa9c16d50b71d7 1389 sisu_3.1.14-1.dsc
  341c4622b170e842a94bea786fcd31e7ea0910aae00730c24064dccc3984e03a 292616 sisu_3.1.14-1.debian.tar.gz

* v3dv: sysenv, output_dir_structure, rewritten, affected code modified

* v3dv: --redirect (--redirect=dir_path) & --dump (--dump=dir_path)
  * --dump places output in directory specified, if none specified in the
    current directory (pwd).
  * --redirect places output in subdirectory under specified directory,
    subdirectory uses the filename (without the suffix). If no output
    directory is specified places the subdirectory under the current directory
    (pwd).
  * html, css incorporated into each file (concordance & manifest included)
  * html, xhtml & xmls, css copied into css subdirectory (not used by html as
    embedded)
  * html xmls, images copied to output directory
  * no links to manifest
  * manifest with relative links only
  * longer html filenames given to avoid names clashing (e.g. for toc,
    manifest, concordance)

* v3dv: html, epub, remove manifest toc links

* v3dv: -j copy images associated with file (images used by html & xmls)
  * automatically invoked by --dump & redirect

* v3dv: dal, remove sisu_manifest from document structure & toc (metadata
  retained (provide link to sisu_manifest)), html & epub coding affected

* v3dv: hooks to make it possible to control (via: the command line; the
  document markup header, or; the command line) the likes of: toc, manifest,
  manifest-links, metadata, html-minitoc, html-navigation, html-navigation-bar;
  these are switched on by default and control takes the form of making it
  possible to switch them off.

* v3 v3dv: document --redirect, --dump, -j update sisu_commands.sst
  [documents not generated until v3.2.0 (when v3dv branch is merged into v3)]

%% 3.1.13.orig.tar.xz (2012-02-03:05/5)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.13
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.13-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.1.13.orig.tar.xz
  c204049136ee9e1ab70732e53d3ce5817e4e5aade1e2d682e0758e65ba4b81b5 1684744 sisu_3.1.13.orig.tar.xz
  4820b0b4381a827c7a35019848234d6d38c9916cec30f54e6802609e8900e197 1389 sisu_3.1.13-1.dsc
  b9a7d7bb59bc903f217cff8d544d666a6df0523caeb444493a03ab6f93d63d8d 291892 sisu_3.1.13-1.debian.tar.gz

* v3 v3dv, path & url links, updates for multi output directory structure
  possibilities (fixes)

* v3dv, dal (& code affected as a result), use symbols to identify document
  objects type (is) and group (of)

* v3dv, epub, html, some cleaning of redundancy

* v3dv, texinfo BROKEN, since 3.1.12 at least

* v3 v3dv, vim syntax highlighting, patch from Thilo Six <T.Six@gmx.de> applied
  Re: <http://thread.gmane.org/gmane.editors.vim.devel/32151> &
  <http://vimdoc.sourceforge.net/htmldoc/options.html#cpo-l>

%% 3.1.12.orig.tar.xz (2012-01-23:04/1)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.12
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.12-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.1.12.orig.tar.xz
  18c7fa9dcbd1a2b901012c6946c4ff8feca45e049f35ca988487c631a1cfaf92 1680904 sisu_3.1.12.orig.tar.xz
  ace21c0aba04d24b20ce3768aad58c93a80481840661ce505b06c3318c0370f1 1389 sisu_3.1.12-1.dsc
  6bd103940b907edd6622be163131b21d139e2d301be6b0219fd366c514725bbd 291315 sisu_3.1.12-1.debian.tar.gz

* texpdf, tampering with "safe" special character transformations, a fix (that
  may introduce new issues, watch) [in response to report of a pdf title bug
  "&" not represented, Timothy Hume]

* urls, odt maintenance path fix

* v3dv, messing with code, merge back likely to become v3.2
  * call most methods by full name (include associated module & class names)
  * replace most ruby exclamation (!) method actions

* v3dv, sysenv, use "which" instead of "whereis" to locate programs, test
  [suggested by, Timothy Hume, used to get sisu texpdf to work on MacOS]

%% 3.1.11.orig.tar.xz (2012-01-10:02/2)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.11
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.11-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.1.11.orig.tar.xz
  d94c7d2a514a33e897111ba05fabdc3186252037f0e03ba188ac233de76c8244 1665384 sisu_3.1.11.orig.tar.xz
  237270ed1416f708b6965b26da939538a2517d2408f6d97d2c7f5fb8ea0c590f 1389 sisu_3.1.11-1.dsc
  3bc6e173f905668d8d5c610280d946f9897b836dce0a834836b0e7c2ace05d44 291434 sisu_3.1.11-1.debian.tar.gz

  * date, year 2012, update

  * v3dv, add dev branch, make some changes to module & class names & test
    * short term branch, merge back into v3 once tested
    * sisu --dev (to invoke)
    * module names, use more CamelCase
    * class names,
      * use more CamelCase
      * remove "SiSU_" (reserve for module names for consistency)

  * modify.rb, prep script for year update, & changing module & class names

%% 3.1.10.orig.tar.xz (2011-12-31:52/6)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.10
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.10-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.1.10.orig.tar.xz
  196ca267b15a6a60680dcb3d73c3790f61463705c00bf3b936119f0030109ece 1650104 sisu_3.1.10.orig.tar.xz
  9f1bfe338374af55dbc1c08ed098073535c6de3d224e773457abe5341411fa6d 1389 sisu_3.1.10-1.dsc
  35dead701be5bb0c378586fbffc924efd9c3275d00c465757c0767c049e8e1fe 290907 sisu_3.1.10-1.debian.tar.gz

  * html, epub, (& xml) codeblocks, treatment of '<<' & '>>', fix
    (codeblock, remove legacy match rule, watch)

%% 3.1.9.orig.tar.xz (2011-12-19:51/1)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.9
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.9-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.1.9.orig.tar.xz
  46c2529883dcf3b9bce820246ae3af77063a699b1e7feb6b1a5d2ef00ac70c9d 1649904 sisu_3.1.9.orig.tar.xz
  49fd018fc2a507446987d8e504923fa3321b49b1f22fa10e59c4f31a38b1e9bc 1382 sisu_3.1.9-1.dsc
  e18e8fd21a5cc4fa521b2c357d38abe6dfa999f032c1c8421a90d0289f473960 290782 sisu_3.1.9-1.debian.tar.gz

  * manually created html files in _sisu/home (*.html) copied as home pages
    (previous behavior was only to copy _sisu/home/index.html)

  * html, seg output, index.html fixes
    * place in correct directory and use language code as appropriate
    * remove broken index.html from output [note the existing erroneous file
      is not removed by a program run, it has to be removed manually]

  * options, behavior of --find & --glob, can only be used on base directory
    level, (it is not possible to limit the glob to say en/... or fr/...), for
    now prints a message that sub-directories may not be provided for --find or
    --glob at this time

%% 3.1.8.orig.tar.xz (2011-12-13:50/2)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.8
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.8-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.1.8.orig.tar.xz
  24ed23c9b2f742503ca9137cad722ce6727fd92257b1cafe3069a3cad1d1be29 1649512 sisu_3.1.8.orig.tar.xz
  4939bd204b85a540db13df4c8811af1f9045b2da8cb343c6ff240fcdcb7b9879 1382 sisu_3.1.8-1.dsc
  6ad25fabc4c438105ec50579c1a58415eb66ebd32eb8dd32033fb1e59f9ff52b 290701 sisu_3.1.8-1.debian.tar.gz

  * texpdf, output by filetype, fix, produce pdf files with language code as
    part of filename (previously written over)

  * odf:odt, codeblocks, a match fix, affects e.g. "<<"

%% 3.1.7.orig.tar.xz (2011-12-08:49/4)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.7
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.7-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.1.7.orig.tar.xz
  26d1159304c0874240e2244842f671555b67d7db07dc0122ee81a44f4b05e8e4 1649336 sisu_3.1.7.orig.tar.xz
  9f500794d809bc0f69dc0d0a06f610a652d67a678980fa22337af4b7f14b1284 1382 sisu_3.1.7-1.dsc
  3a862f6993b2dd7aa970d654684d3ffe907b83b27b86455aec9f5ca077f8a7d5 290465 sisu_3.1.7-1.debian.tar.gz

  * dal, codeblocks
    * internal document identifier tags removed, consider
    * markup of greater than & less than, fix (but watch)

  * epub, css, codeblock, grey box

  * texpdf, use package listings for box around codeblocks (retain boites
    option)

  * sysenv, external images directory copied only if it exists

  * documentation, add --configure & use ascii characters for dir tree
    correction of a few typos
    * manpage
    * html

%% 3.1.6.orig.tar.xz (2011-12-02:48/5)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.6
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.6-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.1.6.orig.tar.xz
  c50fd6eda712ae090e9b16242d468aab8b8ecd6c1ee9b2798b317f9eb40b529c 1647512 sisu_3.1.6.orig.tar.xz
  d5a165144d55d553e62c7fcee3b881d6525f238cc5184f284955307a955efb56 1382 sisu_3.1.6-1.dsc
  8e088fc702158a233d870e1b55928063d8e52b5931a51b5143b674052335793e 290179 sisu_3.1.6-1.debian.tar.gz

  * dal, codeblocks, start flush left (no buffer spaces at start of line) to
    allow cut & paste [requested by chals irc.oftc] (fixed issue, numbering of
    (flush left) codeblocks; preliminary tests suggest this should be ok), need
    distinguishing marks for plaintext (& fix grey background in xetex/pdfs)

  * texpdf, use boites for box around codeblocks, use and adapt 'boitecoloriee'
    (found in boites_examples.sty)
    * in boitebox as setup normal tex hardspaces at start of line are removed,
      hack required to fix
    * [attempt to reconfigure boitebox: as setup normal tex hardspaces at start
      of line are removed;backround color not set (incompatible);keep box once
      background color is set?;remove first line indent of paragraph?]

  * require iconv (depreciated), use String#encode instead
    * removed iconv, required a number of places without being used, watch

%% 3.1.5.orig.tar.xz (2011-11-21:47/1)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.5
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.5-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.1.5.orig.tar.xz
  2d4c5320f526fb69165326f83babd7e96c8b553fbebe9c6dfe851d78f750e26b 1646676 sisu_3.1.5.orig.tar.xz
  0a3080b9f5368d6d55449cdcd38b9f7b4b6360f415a130b328c9b58cfc911343 1382 sisu_3.1.5-1.dsc
  3b945c9463725421c7398cda283fe94076e7b587b3cf1e06ad75c98b57fff744 290044 sisu_3.1.5-1.debian.tar.gz

  * images, embedded symbol (previously overlooked, pre use of utf-8)
    * param, sisu markup image regex match
    * sisupod, sisu markup image regex match

  * odf v1.2
    * includes previously unimplemented hanging indents

  * hanging indent
    * done: dal, plaintext, html, epub, xhtml, xml (sax & dom), odt, pdf, sql;
      not done: man, info

  * dal_expand_insertions, link shortcut for multiple versions of sisu document,
    omit codeblocks

  * sisu manual, sisu markup, include example of: link shortcut for multiple
    versions of a sisu document in the same directory tree

%% 3.1.4.orig.tar.xz (2011-11-11:45/5)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.4
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.4-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.1.4.orig.tar.xz
  536fc573d83a7c29a2e2fab8ab3fbfeb991503274c8d0816e62fd63b9b22a03e 1644396 sisu_3.1.4.orig.tar.xz
  38366715cc44073cd63e7d75b68d17c04fc9ae7503e59ee02953990b6906aa18 1382 sisu_3.1.4-1.dsc
  5cda46a831865ade0960707d55bdcb97ab2dea7e5b2a573747f31a804308d4be 289700 sisu_3.1.4-1.debian.tar.gz

  * FileUtils, make more consistent (and explicit) use of
    * explicit calls (more verbose, easier to find)
    * replace system calls

%% 3.1.3.orig.tar.xz (2011-11-05:44/6)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.3
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.1.3.orig.tar.xz
  6119988542101a311d194d674e480b20043b1a1bc663bd83d9fff27820e315c1 1643556 sisu_3.1.3.orig.tar.xz
  5a3b6cec8d9cb6b00b5c55c72fd9ef89b84a572353bc6c4e2de52f6597d79391 1382 sisu_3.1.3-1.dsc
  0a48ecb3098bb136d3cfd130883524135bd48b9cda4231ef0876a885e64e18e8 289655 sisu_3.1.3-1.debian.tar.gz

  * header, @make: :bold: :italic: fix necessary, Re (3.1.2): (bold & italic
    pattern matching) possibility to ignore case (reinstated)

%% 3.1.2.orig.tar.xz (2011-10-31:44/1)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.2
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.1.2.orig.tar.xz
  9015491795bebc11e9162abf8700b2d486c3e0a7b39090f8071726f8d9c154f4 1643532 sisu_3.1.2.orig.tar.xz
  5cb97f96dcd1cab96b2b5981c220bc600d5babf4b497951ac11fa70a53f72d54 1382 sisu_3.1.2-1.dsc
  1efc7209daeabb7c7bc028371a871697f1ef6795c71dffc03ee7a464b06e27cf 289691 sisu_3.1.2-1.debian.tar.gz

  * sysenv, skins, a fix
    [return to, identify sisupod more definitively]

  * header, @make: :bold: :italic: (bold & italic pattern matching) possibility
    to ignore case (reinstated)

  * markup-samples, Free as in Freedom 2.0
    * made use of old book index, better than none

  * concordance, information to terminal, minor

  * conf/convert/modify.rb minor fixes

%% 3.1.1.orig.tar.xz (2011-10-15:41/6)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.1
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.1.1.orig.tar.xz
  01838f52f1a2586bc715d08c27b6b6c0d2df72b0805a8ba7f886d7f724d1f86e 1181632 sisu_3.1.1.orig.tar.xz
  0afbe929e746a64824ebb90917deaa53952c3f2830ae238daa57064cade7fbb2 1382 sisu_3.1.1-1.dsc
  d8f83bbc84386f030e39c505cb3e04f8e502a47e796ee37493d63c233350ad8f 289482 sisu_3.1.1-1.debian.tar.gz

  * odf:odt v1.0
    * make odt header changes easier to track
    * get rid of (binary changeset) blob
    * make odt style names more easily recognizable

  * manifest, odt url lnk, fix

%% 3.1.0.orig.tar.xz (2011-10-03:40/1)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu_3.1.0
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.1.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.1.0.orig.tar.xz
  eed0a01904037a0b6b4e8776a94ce4332e68510b28fe6f06139c960cef5d0020 1182984 sisu_3.1.0.orig.tar.xz
  5d23dc3bd703f62e5a7ae21f7020a7d3d5a4a32affddbdecc7142f75d56d1a5b 1382 sisu_3.1.0-1.dsc
  5a71292ab5cc1617d60591e02e99987f3b2953a9b73d06530142e304b26ccef6 289011 sisu_3.1.0-1.debian.tar.gz

  * bin/sisu, default sisu version 3

  * sysenv, rc_path adds ./.sisu/ (to existing ./_sisu/ & ~/.sisu/)

  * defaults, (sisu) home page
    * link to git repo
    * minor fixes

  * sysenv, output_structure_by: filename, fix to output directories created

  * texpdf, fonts, Liberation series default (Sans for main)
    * (mono) improved with selection of Liberation Mono as default
    * font (main font, mono) configurable in sisurc.yml under
      default: (texpdf_font:|texpdf_font_mono:)
      or within document under @make: (:texpdf_font:|:texpdf_font_mono:)

  * sisrc.yml, texpdf_font (main, mono) Liberation series (main default Sans)

  * vim syntax, :texpdf_font_mono: added to @make:

  * documentation, small update
    * sisu source
    * manpage
    * man2html html

%% 3.0.19.orig.tar.xz (2011-09-24:38/6)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu-3.0.19
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.0.19-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.19.orig.tar.xz
  d2252448ba66aa3ac0cba7b031e43efbd824f6aa74d7a0fdeaaae5cc43ec79be 1180092 sisu_3.0.19.orig.tar.xz
  bfc7b80ea996ed752ff865921057686230d6b797b6a980759254d038f2ea770d 1389 sisu_3.0.19-1.dsc
  9edeb33db7d2a8205e1db3c6dea9db74d972a476a0ad95fc784157caf041a8c4 288288 sisu_3.0.19-1.debian.tar.gz

  * hub, processing options, remove cruft

  * qrcode, sisu generated manifest output, treat as such
    * place qrcode images in directory under manifest (manifest/qrcode)
    * fix remote placement of qrcode images when requested

  * texinfo, fix output

  * remote
    * rsync, include manpage, info file (when selected)
    * rsync, images, (html, xmls) only include images related to document
    * src & sisupod processing

  * sisupod processing

  * param, matching of date, years 1400 - 21\d\d

%% 3.0.18.orig.tar.xz (2011-01-13:37/2)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu-3.0.18
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.0.18-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.18.orig.tar.xz
  64485f157f1b5efe10090dda22864907bc430e876bcc73400dc5b855568f4e46 1179268 sisu_3.0.18.orig.tar.xz
  d228c0a4c8bb05674a9712d3f41a978d495b683fc8c5001896eb36c6d0a1c0b5 1223 sisu_3.0.18-1.dsc
  10350c189ba37aa09617f99f786ec18069f8c0ef72fcf1b84005218c420d4eaa 287596 sisu_3.0.18-1.debian.tar.gz

  * options
    * match fix for --glob / --find
    * action (opt.act) modified to increase use possibilities
      (currently affects hub)

  * hub
    * opt.act modifications
    * sisupod processing (v2 processing also enabled)

  * epub
    * fix for different output structures, language codes not used
      internally (within epub)
    * adjustment to image paths for image copy

  * correct sisupod references and path to .txz (replace .zip)

  * image (relative) paths for different sisu output structures
    (re: by_language, by_filetype, by_filename)
    * sysenv, set path
    * html seg, scroll, manifest (qrcodes), xmls

  * dal_images, disabled imagemagick configuration permission check until
    sisupod reads local sisurc.yml (configuration file)

  * correct .orig.tar.xz name in CHANGELOG_v3 (>=3.0.15)

%% 3.0.17.orig.tar.xz (2011-01-05:36/1)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu-3.0.17
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.0.17-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.17.orig.tar.xz
  d231819427239216d18d8b6ccade8d786d5ae2672c9cdb44f8d39272857d9b38 1178164 sisu_3.0.17.orig.tar.xz
  beed781ee2d6407b4e6526cfa149095f65932a4235b884190328c5f0492afc50 1223 sisu_3.0.17-1.dsc
  f045dfce0a3082f6e4fa9e25f0c1b74c07e459d8eb215471f915aef756c8fd7b 287867 sisu_3.0.17-1.debian.tar.gz

  * sisupod v3
    * modify pod dir structure, place sisu source in dir/[lang_code]/ e.g. dir/en/
    * use tar.xz (.txz)
    * bundle all language version in pod
      * bundle .ssm and all included files for each selected language (rather
        than composited .ssm.sst file)
      * [DO] prioritize and warn where duplicate files in directory
      * [DO] ideally, allow selection those files selected in command line using -G
        (filename pattern) or named in files to be processed string
    * remote placement
    * sisu processing from sisupod v3
    * [DO] sisu processing from sisupod v2 (retain possibility)

  * rsync sisupod v3

  * sysenv, check that tree is available and use as desired when available

  * unix conditional tests ? : remove line break marker at end of line before
    :, cosmetic

  * Dir.chdir, remove "system cd" (change directory) use Dir.chdir

%% 3.0.16.orig.tar.xz (2011-08-18:33/4)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu-3.0.16
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.0.16-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.16.orig.tar.xz
  236864d28e471b51fda01c0ec4e33d493cfd35661474958a537a4762d16f9e93 1175492 sisu_3.0.16.orig.tar.xz
  372921a35c791f3239320f639995188b50381d9434ede343a47dcadf604ad892 1223 sisu_3.0.16-1.dsc
  71266e3693a3178832852f8a49102a5f6aca4ecbdb035f892ef57996c7945c63 287210 sisu_3.0.16-1.debian.tar.gz

  * epub tuning
    * include levels A - C as individual sections
      (xhtml file with consistent opf & ncx)
    * sync ncx with sisu internal structural logic
      (correct depth, include level A, place sisu toc)

  * dal, sisu document links (multiple output versions) shortcut, fix
    * links to multiple versions internal documents based on shortcut notation,
      e.g.
      { "Viral Spiral", David Bollier [3sS]}viral_spiral.david_bollier.sst
      resulting in all versions of the document that would be generated by
      running the command sisu3 -3sS viral_spiral.david_bollier.sst
    * added possibility to specify language where language directory structure
      is used for source documents
      { "Viral Spiral", David Bollier [3sS]}en/viral_spiral.david_bollier.sst

  * concordance, i18n, start adding alternative language alphabets
    (Danish, Norwegian, Swedish)

%% 3.0.15.orig.tar.xz (2011-08-08:32/1)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/sisu-3.0.15
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/sisu_3.0.15-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.15.orig.tar.xz
  36ad1980667223719c800d291a6b988813b81700fcba21417060c87cf0dd6f60 1173288 sisu_3.0.15.orig.tar.xz
  412679d72af88b82def32dd4875aa7f8bf25ea1327bb88d85da85c2be13b2d03 1223 sisu_3.0.15-1.dsc
  aa2eb7866f8928e98ad496013f56455a4097c788d7f17a9fde8c514bc304834f 286687 sisu_3.0.15-1.debian.tar.gz

  * switched sisu tarball compression to xz (from gz)

  * options, default action on running "sisu3 [filename.sst]", fix

  * sysenv, options, sisurc.yml base directory (default) language setting

  * po4a, make use of base directory (default) language setting
    (for setting original language, (instead of assuming English))

  * prog_text_translation, add contents, remove some repetition

  * texpdf, possibility to translate "Contents" for table of contents

  * epub, experiment with presentation
    * disable some internal "features"
    * make file and directory naming more flexible, now using
      'OEBPS', 'toc.ncx', 'content.opf',
    * adjustment of some headers and general tuning
    * add opf guide
    * clean processing directory between each build

  * constants
    * added constants Ep (for epub)
    * added DISABLE (used here with epub)
    * re-arranged

  * objects.txt, removed, cleaning

%% 3.0.14.orig.tar.gz (2011-07-26:30/2)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/3.0.14-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.14.orig.tar.gz
  4c2cfdefcc64c052d65fc8d46e91f1d1a362548c6befef90488cfbd7219e6e25 1954612 sisu_3.0.14.orig.tar.gz
  2f1704e7a0d5f65132cacbe12989fe085b064fcf9a35b25e147f0ad2fb28e28f 1223 sisu_3.0.14-1.dsc
  5c556978a7ace002528c329afe8438644d3c8082b2d465041eb8689797e863e5 286129 sisu_3.0.14-1.debian.tar.gz

  * hanging indent partially implemented, added markup possibilities

    __[1-9] hanging indent (initial indent 0); paragraph text indent [1-9]

    _[0-9]?_[1-9] initial indent; paragraph text indent

    * done: dal, plaintext, css, html, epub, xhtml, xml sax, xml dom, pdf, sql;
      not done: odf, man, info
      check: po4a, html_lite (used in sql search results)
    * syntax highlighting done: vim (sisu.vim), emacs (sisu-mode.el)

  * indent added bold words markup syntax (_[1-9]!) (_[0-9]?_[1-9]!)
    for indents

    __[1-9]! bold words
    part of hanging indent paragraph text

    __[1-9]! bold words \\ part of hanging indent paragraph text

  * param, manifest, qrcode, epub, added creator.editor field

  * sql db, constants, cgi-sql, structure changed, creator editor field added

  * sisu_manual, manpage, manpage html (man2html)
    * sisu_commands: --qrcode -Q; update shortcut options; line-breaks use \\
    * sisu_markup.sst: indent update; publisher

  * vim sisu syntax highlighting
    * markers for hanging indent added
    * added header for @creator: :editor:
    * minor comments added
    * deletion of an unused tag

  * emacs sisu-mode.el
    * markers for hanging indent added
    * line-break

  * qrcode, sysenv, manifest, generate & add QR code images of metadata to
    manifest (using qrencode) (consider where and how else to use images)

  * epub, opf fixes

  * sysenv, avoid creation of spurious directories in output tree
    (an image copy section removed, re-implement correctly later)

  * param, cleanup setting of auto endnotes

  * texpdf, XeTeX language settings ((setmainlanguage setotherlanguage) from
    directory or filename) if @make: :language: header not set

  * xmls (sax, dom, xhtml) use of xml tidy, correct output file location

  * urls, --concordance

%% 3.0.13.orig.tar.gz (2011-06-26:25/7)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/3.0.13-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.13.orig.tar.gz
  33d2358a39a69c1be4403b06b52eaeca604e851ee4e32c6f1625399944362fea 1943441 sisu_3.0.13.orig.tar.gz
  c741399aa3da6189854f7a532eae6db27370646a2b86b7427bf330401369bc13 1223 sisu_3.0.13-1.dsc
  0fe5173e4973a4af7fba79dcf5ae3c702f34b5ac89e02f4be9e014641e7514d0 289790 sisu_3.0.13-1.debian.tar.gz

  * dal_syntax, linebreak within regular objects is \\ (<br> depreciated)
    [test, affects downstream outputs, there is the potential for breakage]
    [thanks to Jonas Stein for making me look at this, see  bug: #617298, <br>
    was not documented because there has been no intention to keep it, but
    there was no markup replacement until now]
    * ok for plaintext, html, xhtml, xml, epub, pdf, manpage
    * not properly honored in paragraph objects for odt [todo fix, but issue]

  * sisurc.yml, config settings

  * vim
    * sisu syntax highlighting, linebreak \\ added (<br> kept)
    * colors, added cursor line & column

  * documentation, on additional breaks in document
    * linebreak \\ (previously undocumented <br> kept but depreciated)
      [it is intended that this should close #617298]
    * page break (breaks column if column, else breaks page)
    * page new (new page, breaks page)
    * removed section on hyperestraier, too specialised for general manpage
      (also section not checked recently)

  * texpdf
    * define latex \newcommands for some special characters to simplify
      dealing with them in sisu code \hardspace \caret \pipe \curlyopen
      \curlyclose \lt \gt \slash \backslash \underscore \exclaim
    * provide backslash character in code block

  * plaintext, codeblock keep backslashes

  * html_tune revision
    * deal with angle brackets in markup (test, could cause breakage)
    * reduce loops

  * manpage
    * start to honor line-breaks within objects (revisit)
    * show double escape \\ (backslashes) in code blocks
    * place under web server directory

  * texinfo
    * backslashes & line-breaks
    * place under web server directory
    * info tool setting prompt

  * shared source markup (.sst .ssm & sisupod.zip)

  * manifest enable
    * manpage (in fututure have config setting with default false/off)
    * info (texinfo) (in fututure have config setting with default false/off)
    * hash digests
    * locate markup source
    * sisupod

  * urls (ansi screen reporting), add document language code

  * sysenv, accommodate
    * manifest
    * manpage
    * info (texinfo)
    * sisupod
    * shared source markup (.sst .ssm & sisupod.zip) fix some paths
      * placement of markup source, output_path.src.dir, fix
      * output_path.src.url, fix

  * constants, a sisupod & an xml related addition

  * ansi screen reporting include document language code

%% 3.0.12.orig.tar.gz (2011-06-09:23/4)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/3.0.12-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.12.orig.tar.gz
  87b54e241067766c67233889ac973310d25ae12264ed65e9fd847626c9b95b2a 1943781 sisu_3.0.12.orig.tar.gz
  dad744f0f6521a9f6b0f0ba07dadee0dc6a6bcfb009fb5311b92528da15d6c1f 1223 sisu_3.0.12-1.dsc
  4d3f83d9d923b3c8a9ac2c88dd119e93bb146c963b54b9e56fdb83d5cfdb58d7 288488 sisu_3.0.12-1.debian.tar.gz

  * harvest
    * correct paths to document manifests etc. for the possible output dir
      structures
    * produce authors and topics lists for the documents that are available,
      according to availability in each language

  * cgi generated sample search form
    * use ruby 1.9.2 shebang/header (sisu-pgsql, sisu-sqlite) recent upload
      of libdbi-ruby1.9.1 fixes bug reported as #596103 (against
      libdbd-pg-ruby1.9.1), search forms (pgsql & sqlite) can now use ruby
      1.9.2, so cgi headers changed back to #!/usr/bin/env ruby [however must
      use ruby >=1.9.2] (from #!/usr/bin/ruby1.8) [see sisu-3.0.8 NOTE &
      "sample search form" solution, (now superseded)]
    * force utf-8 character encoding to avoid issues, fix
      (incompatible character encodings: UTF-8 and US-ASCII)
    * correction of a variable name, fix

  * options
    * restrict glob rule checks to when --glob (-G) or --find (-f) requested
    * carry information on document language (from filename and or directory
    * (additional test)

  * sysenv, limit/prevent the creation of spurious output directories (based on
    language subdirectories), revisit

  * manifest, fix a full name

  * html, index.html syslink, remove and remake syslink
  * texpdf, index.html syslink, made similar

  * param, remove unused class variable '@@symlnk'

  * help
    * --help language, provides list of available languages (ISO 639-1 code (as
      varied by po4a) & name)
    * s/Bul garian/Bulgarian/ (Closes: #619068)

%% 3.0.11.orig.tar.gz (2011-05-29:21/7)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/3.0.11-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.11.orig.tar.gz
  b3ff82d967565a35f9693ad95812adcb850ac4f58f60f4cf9e5a9d613d886fcc 1940955 sisu_3.0.11.orig.tar.gz
  69d15d75fbf3670b8609dd8d9ee65a10b2eddfbcddd9ee206cbc48cfde6eb899 1223 sisu_3.0.11-1.dsc
  2a11d94922d6810b5a786d51a148cc955d8c676932b9341b8a30bf114cab4cee 288354 sisu_3.0.11-1.debian.tar.gz

  * sysenv, url webserver link (manifest) fix

  * cgi search form, fixes related to language code
    (filename with language code being required as unique document identifier)

  * options
    * filter out files not matching .ss[tm]
    * with -f -G (--find|--glob) flag glob all .ss[tm] files in dir including
      language sub-directories (e.g. in directory above language
      sub-directories where ./_sisu/sisurc.yml should be located:)
        sisu3 -3G live-manual
    * with -f (--find|--glob) flag and find .ss[tm] files that match given
      string in dir including language subdirectories
        sisu3 -3GR

  * i18n, constants, some language information moved to i18n (from constants)

  * documentation, minor update, includes --find / --glob

%% 3.0.10.orig.tar.gz (2011-05-23:21/1)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/3.0.10-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.10.orig.tar.gz
  8419b1523656789f5946fca32297b9ba58ec107ff52d12efa4698cabc242a3b8 1940966 sisu_3.0.10.orig.tar.gz
  eaaefd3f5d9ce76342c0df422ba023bb260b489f9f0830ef2f38097ebe21249f 1223 sisu_3.0.10-1.dsc
  337a1f4e032e67388081317abf590a04e1abf4934265b69e0dcc52225cb6eaec 287644 sisu_3.0.10-1.debian.tar.gz

  * copyright (minor) touch, dates for setup.rb

  * sysenv, rsync, embedded
    * rsync to remote host alternative output structures, fix
      (remove blocking test path)
    * get rid of annoying new nag to terminal (-v reporting
      Dir.pwd), prevent attempt to change directory unless different directory
      requested

  * param, html, epub, xml, simplify file-naming convention with language code
    (language code occurs in fixed location within file-name, could previously
    be configured to occur in 1 of 3 locations within file-name)

  * texpdf filenames

  * i18n, add language name translation column to hash/table

  * prog_text_translation:
    * fix to Portuguese language class name (missed the 't')
    * language name matching ('Portuguese Brazil')
    * indentation

  * options, include markup source "base" path, used to parse alternative
    markup source dir structures

  * manifest
    * relative paths to "available outputs" (for each dir structure), fix
    * show language versions published
      (needs 2 runs of manifest, polls output as to whether manifest files exist)

  * html
    * close files
    * syslink index.html to toc.html, needs revisit
      (will only "work" properly with by_language directory structure)

  * defaults, fix path to homepage image (more fixes remain ...)

%% 3.0.9.orig.tar.gz (2011-05-17:20/2)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/3.0.9-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.9.orig.tar.gz
  90694ba44e6412f266fe0501975c3dcdc95824c5099f54729c436284f5948eab 1937861 sisu_3.0.9.orig.tar.gz
  f33e08e31d9497f5ab09e0bc35753837671ac80690e8142f0690353a069ba65f 1216 sisu_3.0.9-1.dsc
  5482748d75af890a00d9ecdb4302b31ed4508d9eb6f668ad9bd2f9428158bba3 287102 sisu_3.0.9-1.debian.tar.gz

  * bin/sisu2 introduced (to complement bin/sisu3), currently same as bin/sisu
    (later switch bin/sisu to bin/sisu3; consider using update-alternatives)

  * vim, cterm colorschemes, touch search color

  * copyright file, softlink, make more visible in tarball and update
    * sisu-mode.el assigned to FSF (GNU EMACS)

  * options, expand name of file for selected language directories
    * only use for single file(name) available in multiple languages e.g.
      sisu3 -hv en/free_culture.lawrence_lessig.sst es fr
    * english assumed as default language, make default configurable later
    * particularly useful for po4a

  * sysenv
    * output directory structure check, fix & start testing alternatives
      sisurc.yml output_by: (language|filetype|filename)
    * output paths restructured, to have dir, url rel(ative) & rcp (for rsync or scp)
      * url paths to output files (requires setup in sisurc.yml)
      * consolidated output paths, directory & url, affecting many files

  * rsync of output must cope with alternative file structures

  * scp, disable until looked at

  * dal_expand_insertions, fix resulting urls for shortcut for sisu generated
    document in same output directory

  * cgi sample search form generated to provide different links depending on
    output structure, now links only to manifest and html toc

  * manifest, url path, fix

  * po4a, re-enabled, numerous issues

%% 3.0.8.orig.tar.gz (2011-05-05:18/4)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/3.0.8-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.8.orig.tar.gz
  87b595cc6e108e325d80e7ef78e58463ab3cdd0d7036fd943224114c8eb9b897 1936305 sisu_3.0.8.orig.tar.gz
  d3114d3aeba230501c79ab478c30985438ad1bf4a5cde628cb82ab7717028623 286421 sisu_3.0.8-1.dsc
  43bc0459adb7174f03b91c67efd10d053a39da07dd1319f26fd2928f80876d03 1216 sisu_3.0.8-1.debian.tar.gz

  * bin/sisu3 bin/sisu /bin/sisu_webrick bin/sisu_termsheet
    * improved ruby version check

  * options, language setting, based on directory structure or filename
    * sysenv, language setting from options
    * affects multiple libraries

  * i18n, sysenv, options, language setting changes affecting many files
    * must be able to set language at options stage from filename or directory

  * prog_text_translation, renamed from what was i18n, i18n name reused

  * db, directory structure changed, database prefix renamed
    * language_document_char field made larger
      [consider renaming language_document_code or ..._id]
    * title, src_filename and language_document_char fields mandatory
      (title, title_main, src_filename, language_document_char)

  * NOTE: [libdbi-ruby1.9.1 fixed in unstable 2011-06-06, & for sisu-3.0.12]
    cgi sample search form caught by Ruby/DBI libdbi-ruby1.9.1 reported
    reported as libdbd-pg-ruby1.9.1 bug #596103, where "select_all fails". The
    cgi sample search scripts for postgresql and sqlite3 are almost identical,
    both work in ruby 1.8.7, both have the same error in ruby 1.9.2... a very
    similar bug is reported about the mysql library. Should #596103 and the
    upstream report be reported against Ruby/DBI (libdbi-ruby1.9.1) rather than
    libdbd-pg-ruby1.9.1?
    * <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=596103>
    * <http://rubyforge.org/tracker/index.php?func=detail&aid=28624&group_id=234&atid=967>
    * <http://rubyforge.org/forum/forum.php?set=custom&forum_id=958&style=nested&max_rows=25&submit=Change+View>
    fix/workaround options include:
    * await bugfix, (bug has existed at least since 2010-09)
    * rewrite for ruby-dbi using other constructs
      e.g. s.fetch {|row| ...}
    * revert to ruby 1.8.7 for the cgi script (they work independently of the
      rest of the program anyway)
    * rewrite for individual database dbi re: psql  and sqlite3
    * await rdbi (ruby-dbi replacement), also needs to be packaged for Debian
      <rdbi https://github.com/RDBI/rdbi>
      <http://rdbi.hollensbe.org/>
      <http://rdbi.hollensbe.org/files/README_rdoc.html>
      and develop for that
    * use some other programming language for sample search form
      or some meaningful combination of any of the above.

  * sample search form, revert to generating ruby 1.8.7 sample
    * sisu3 using ruby >=1.9.2p180 generates search form for ruby 1.8.7, so:
      generate sample form using sisu3 -F (options), then; start webrick using
      ruby 1.8.7 & sisu -W (not sisu3)
    * take account of alternative output directory structures [work on, test]

  * manpage, reinstate escape of hyphens (clearly preferred, else lintian
    reports hyphen-used-as-minus-sign)

  * manpages, escaped hyphens reinstated (remove lintian info)

  * urls, a fix, sqlite

  * sysenv, lowriter (instead of libreoffice)

  * db_select, ansi screen reporting, correction for sqlite db update

  * concordance, output path, screen info correction

  * vim
    * sisu syntax change of a couple of color groups (Delimiter instead of
      Include)
    * 8 color cterm colorschemes
      * sparse series uses dark grey on black, usually looks better, but only
        works with a fixed color cursor, preferred in terms where you can get
        away with using it
      * frugal series avoids dark grey
      * slate for cterm now incorporates frugal-cterm-sisu
      * *-cterm-ruby & *-cterm-sisu colors adjusted where other color groupings are
        preferred for programming / sisu markup

%% 3.0.7.orig.tar.gz (2011-04-20:16/3)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/3.0.7-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.7.orig.tar.gz
  08474012bd979f4c18881be47d0b2e6c5add9a013b886ea6f7f943464db84825 1929419 sisu_3.0.7.orig.tar.gz
  0028f57ed75fb1e358a0a14e197c607091d8a99c18b856750bd1d820c760ff6c 1216 sisu_3.0.7-1.dsc
  9a9a9d139cc0f4c7ccdfcb41be7eaba517ce96914b68a483d08debd233c76929 285739 sisu_3.0.7-1.debian.tar.gz

  * param, md remove md.cmd and md.mod shortcut methods, use use md.opt
    (md.opt.cmd md.opt.mod)
    * affects many files that now use @md.opt.cmd & @md.opt.mod
      (instead of @md.cmd & @md.mod)

  * options
    * new alias (for -M / --maintenance) --keep-processing-files (see Bug#622902)
    * introduce opt.act booleans made up of opt.cmd and opt.mod, more flexible
      than overused cmd characters
    * where possible move option setting from hub to options
    * separate out a few methods

  * odf:odt
    * maintenance, processing in separate subdirectories, that can be
      kept
    * odt.zip (bin) directory renamed odt from odf

  * hub
    * some option setting moved to options
    * favor use of opt.act over opt.cmd where appropriate

  * sysenv
    * variable directory path fixing (language, filetype, filname), making
      the stub for at least manifest and html available early for processing
      that do not or should not need to process individual markup files
      completely, such as the cgi search form and harvest
    * odf:odt paths adjusted for changes in maintenance and odt.zip

  * harvest
    * place with document manifests
    * variable directory path fixing (language, filetype, filname)

  * cgi, sample-search-form
    * results still not right, (ruby1.9.2 libraries? double check script)
    * not yet done variable directory path fixing for result links

  * vim colors colorscheme Slate reviewed, cterm 8 colors, & frugal added
    * Slate, review conflicting group colors
    * 8, cterm colors to work with
    * frugal, cterm colors ... my term oddly has 8 colors plus 242 for
      dark grey possibly more but odd numbers to set

  * sisu-mode.el header notes copyright assignment to FSF 2011-04-08
    (GNU EMACS)
    * url to sisu git repo source (when possible also track GNU EMACS location)

  * screen_text_color (ansi colors) touched, consider reviewing later

  * urls, report output locations
    * fix show all urls -U
    * share/reuse code
    * fix maintenance urls -M (where processing files are kept for examination)
    * odf maintenance added
    * html_tune maintenance fix

  * documentation, sisu-markup-samples, man page, html
    * document existence of new alias for -M (--maintenance)
      --keep-maintenance-files (see Bug#622902)

%% 3.0.6.orig.tar.gz (2011-03-30:13/3)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/3.0.6-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.6.orig.tar.gz
  daa6671a08dd4eeb5848f73b3ecff23b05b7fa0e338b91cd9992dee8a005441e 1923985 sisu_3.0.6.orig.tar.gz
  a0ca253a6d9b8254f1acaf73d771e5afea12418d971a10d394e20c76c840ef7e 1216 sisu_3.0.6-1.dsc
  9710bf09eb70fc6e456d7ee0fba746a5fe3486fa14a59001d7e17fcddc608aa8 284254 sisu_3.0.6-1.debian.tar.gz

  * (ruby 1.9.2 (transition related) fixes)
    * dal_doc_str
      * empty line not paragraph object
      * table structure issue, double spaced empty line creates spurious newline
    * dal_images, image path setting
    * cgi sample-search-form, string output (also cleaned unused help text)

  * sysenv, remove repeated method

  * vim colorscheme Slate, review console colors
    * change warning and diff colors, so as not to conflict
    * review cterm colors
    * for console use color names instead of numbers
    * rearrange

%% 3.0.5.orig.tar.gz (2011-03-24:12/4)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/3.0.5-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.5.orig.tar.gz
  9ac4622ff5e27188873d18bc0f92c508b72850eba8aebea25372e18a3c066fb4 1921835 sisu_3.0.5.orig.tar.gz
  11a4c576eda0c95925150ea354bd267ee1147e800765855501dabc5421fc6204 1216 sisu_3.0.5-1.dsc
  d464fea52ecc63ef2dd79467caa8737ff4f438ef3ac2a4d31be19d87d938bb50 282094 sisu_3.0.5-1.debian.tar.gz
  1cfa902db6e95f189094ea04aeffdf829b0587949474284c3d319c6538ab64e7 1216 sisu_3.0.5-2.dsc
  6934656837f4cc9830a549dd96ac2592fde3c7132021db1d4c876fac40b63846 284916 sisu_3.0.5-2.debian.tar.gz
  7316b1dc48da1b4b1f9ef0ffbb3ca5e7cbaebf57a1cdcb44acc5856c1ea0f852 1216 sisu_3.0.5-3.dsc
  6984641a61f676e03a085953309c1ba728b263ce3a44e56d0df428406b65f03a 285568 sisu_3.0.5-3.debian.tar.gz

  * move to ruby >=1.9.2p180: simplify development of v3 and maintenance of v2
    * bin/sisu demand ruby >=1.9.2p180 (version checks)
    * debian/control, dependencies
    [note should at least be v1.9.2p180, when issues in earlier versions of
     ruby-1.9.2 were first observed to be gone]

  * texpdf bugfix, where map_nametags not found, drop nametag (rather than
    crash)
    [Debian-live, live-manual (Ben Armstrong, chals?, reported new bug in a
    number of translations (that crashed the pdf generator). It turns out where
    map_nametags is not found the document crashes.]

  * vim syntax highlighting, fix typo

%% 3.0.4.orig.tar.gz (2011-03-11:10/5)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/3.0.4-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.4.orig.tar.gz
  145c409526b26cb0a14b43f4c46219fb828dc41c8211d8f77bad486a98300678 1920526 sisu_3.0.4.orig.tar.gz
  4886196e536e3ad48b29d27b1f0664f77b58ee4b4b21e41c0351c6b3a33dd156 1216 sisu_3.0.4-1.dsc
  b41f225c61600a084a729b4d749b30eeebbdbfffc775e227a05159410b4c2a00 281648 sisu_3.0.4-1.debian.tar.gz

  * sisu_manual, sisu_download, remove references to versions of sisu

%% 3.0.3.orig.tar.gz (2011-03-11:10/5)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/3.0.3-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.3.orig.tar.gz
  a48f327ccf025582a5301a8e6a754891ff56c154843f5992d6b9d1cac97247be 1920600 sisu_3.0.3.orig.tar.gz
  1546cd20167f21ad6cfe06246f059f5476f206ca393bf4bc32e41d65bb20b688 1216 sisu_3.0.3-1.dsc
  d5f3c7631b3d81b7effec10fd188ebdb3ea21c88daff1c881c6a42967b76164e 281938 sisu_3.0.3-1.debian.tar.gz

  * dal_syntax and affected downstream output modules, revised pattern match
    for mail, (removes occasional interference with urls having embedded email
    addresses)

  * dal_syntax: (internal document) link matching, a fix

    [Debian-live, live-manual (Jose Luis Zabalza, Ben Armstrong, reported bug in
    Spanish translation markup (that crashed the pdf generator). Bug in markup
    subsequently identified as "versátil,#{iso-hybrid}#, se" which the interpreter
    identified as an internal document link to a comma (instead of as being
    monospace markup), markup should have been "versátil, #{iso-hybrid}#, se" this
    fix prevents that incorrect match, (but the markup remains faulty and the
    monospace markup is not identified as such without the corrected spacing).
    Unfortunate "grave" results for what is a pretty insignificant data entry
    typo (there are no doubt other such situations).]

  * dal_substitutions_and_insertions: regex for sisu header matching (in sisu
    markup code blocks), a fix

  * dal_doc_str: fix, looks like typo in regex

  * param: tidy, remove redundant document header tags

  * manpage output presentation fixes
    * manpage: (lowercase .br; correct newlines before .nf and
      after .fi; no escape of hyphens; remove redundant links; endnotes array
      requires flatten; screen info on output path)
    * param: manpage header .br and no escape of hyphens
    * urls: correct output path for manpage

  * texpdf: url (regex) pattern match fix (/https?/)

  * help (markup): correct path to markup-samples

  * documentation more link fixes

  * syntax highlighting
    * emacs sisu headers updated (subheaders omitted for now) sisu-mode.el
    * vim cleaning sisu.vim

%% 3.0.2.orig.tar.gz (2011-03-05:09/6)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/3.0.2-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.2.orig.tar.gz
  5211dcb37ab8aeb0889e3faaf567367f40f3b121a60cc6fd01fd78fe5adcd00d 1918497 sisu_3.0.2.orig.tar.gz
  b680fc9409d25149928a2b2067b60b610d0500ed93799e7d35f1b62642621f49 1216 sisu_3.0.2-1.dsc
  b09754d0dcefd0cfeb0e1b641e291d79f5a61dc9dad8138826d262f5d07f7c3a 280734 sisu_3.0.2-1.debian.tar.gz

  v3, target ruby1.9.2, ruby1.9.2p180 is ok
  note: there are issues with sisu and early versions of ruby1.9.2
  ruby1.9.2p0 is known to segfault on a number of operations
  ruby1.9.2p180 does not have these issues

  * make sisu: v3 require >=ruby1.9.2 (v2 require >=ruby1.8.7)
    bin/sisu bin/sisu3 modified accordingly

  * use rb1.9.2 "require_relative" syntax

  * ruby 1.9 hash symbol syntax adopted

  * space between each and opening curly brace e.g. "x.each {|y| p y}"

  * use "encoding: utf-8" (instead of coding)

  * sysenv, processing_path method (separated from path) and resulting
    necessary changes

  * urls, param, two unrelated regex fixes, check

  * hub, minor rearranging

  * v2, v3: manpage, adjust output, fewer backslashes

  * v2, v3: defaults, clean homepage

  * v2, v3: consolidate manual & markup samples
    sisu markup source, manpages, man2html
    * clean up headers
    * update and correct links
    * tidy
    * small fixes

  * conf/skin remove less important skins and use syslink to share
    doc/skin_sisu.rb

%% 3.0.1.orig.tar.gz (2011-02-16:07/3)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/3.0.1-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.1.orig.tar.gz
  881a1fa51154c706c053c6cf136fbaa7c1f3abe96dd203dc649d42875dd55482 2716285 sisu_3.0.1.orig.tar.gz
  9320cf50485fdc05a7c1b12d1f85257a9d8b8cdbb31786589ec79e5aea5935bd 1216 sisu_3.0.1-1.dsc
  c69a80680d786e3f9b9090997e9ba7bc39c048681564fa0af4e59d2cec74e3dc 279711 sisu_3.0.1-1.debian.tar.gz

  * sysenv, sisurc.yml and elsewhere as affected, output_dir_structure:
    by_language_code; by_filetype; by_filename

  * css, fix css paths for xhtml, xml dom & xml sax

  * console feedback on selected files being processed, updates & fixes

  * sysenv & sisurc.yml: libreoffice, default odf reader

%% 3.0.0.orig.tar.gz (2011-02-07:06/1)
http://git.sisudoc.org/?p=code/sisu.git;a=log;h=refs/tags/debian/3.0.0-1
http://www.jus.uio.no/sisu/pkg/src/sisu_3.0.0.orig.tar.gz
  53b9629bde5d27c504005ebc02c722d5d7d6cc3556e9dbfd1802dac682c52856 2716588 sisu_3.0.0.orig.tar.gz
  7cd26f5d70bb5bfac33d74dc69eb0d00bf5d3864612c984f5db3e1c2058635cb 1222 sisu_3.0.0-1.dsc
  3a319dc5863742c3b2e461b19802b284dfdb51240771d7f9517d1761a2912d06 279707 sisu_3.0.0-1.debian.tar.gz

  NOTE: Processing defaults to v2, for v3 use 'sisu3' or 'sisu --v3'

  Versions 3 is experimental and attempts to introduce output more compatible
  with mobile devices and other non-web use and more internationalisation
  possibilities.

  NOTE: v3 branch opened, big patch, changes interim/incomplete (with
  possibility of breakage) primarily for: ebook-readers and other downloading
  viewers (alternative directory structures and use of title based filenames);
  internationalisation (use with po4a, export pot & po, alternative directory
  structures, use of git to ensure changes not lost).

  In v3 SiSU markup files may be organised in language directories that are
  given their language code. There are alternative output directory structures
  depending on whether you want: the v2 layout (mostly in a directory of the
  given filename/a generic filetype name); a monolingual version 3 layout,
  which organises files by filetype/given file name; multilingual v3 layout,
  which organises files by language code/filetype/given which is illustrated
  below

  * alternative output directory structures, configurable
    ├── en
    │   ├── epub
    │   ├── hashes
    │   ├── html
    │   │   └── live-manual
    │   ├── manifest
    │   ├── odt
    │   ├── pdf
    │   ├── sitemaps
    │   ├── txt
    │   ├── xhtml
    │   └── xml
    ├── fr
    │   ├── epub
    │   ├── hashes
    │   ├── html
    │   │   └── live-manual
    │   ├── manifest
    │   ├── odt
    │   ├── pdf
    │   ├── sitemaps
    │   ├── txt
    │   ├── xhtml
    │   └── xml
    ├── po4a
    │   └── live-manual
    │       ├── po
    │       │   └── fr
    │       └── pot
    └── _sisu
        ├── css
        ├── image
        ├── image_sys -> ../../_sisu/image_sys
        └── xml
            ├── rnc
            ├── rng
            └── xsd
    [FIX todo:
     * post rsync,
     * output url paths,
     * also processing of url,
     * processing of sisupod,
     * search db?,
     * search cgi
    ]

  * sisu processing possibility of using directory path and sisu source
    filename, rather than only content in current directory by filename
    [rc config rules are that if not processing from current directory, or
    directory above language sub-directory, will not find _sisu in sisu source
    file directory, but rather will use ~/.sisu if any or /etc/sisu]

  * po4a, work on
    * pot, po output from source language and translation
    * directory structure
    * alternative source directory structures: source and translation files
      organised either by existing file naming convention (file.sst
      filename~es.sst filname~fr.sst filename~de.sst), or; by placement in
      language subdirectories (that follow debian po4a language identification
      convention) ( ./en/file.sst ./es/file.sst ./fr/file.sst ./de/file.sst
      [./_sisu])
    * process po4a source composite file (.ssm) together with its includes
      (.ssi and/or .sst), by identifying composite file to process ... includes
      are identified and processed as well
      [extensive testing required, initial tests passed on "free_culture" and
      "live-manual" and translations]
    * integrate use of git, ensure changes are not lost

  * sisupod git, revisiting
    * internationalize directory structure
    ├── conf
    │   └── skin
    ├── mm
    │   └── image
    ├── po4a
    │   ├── po
    │   │   ├── en
    │   │   └── fr
    │   └── pot
    └── src
        ├── en
        └── fr
    [FIX todo: sisu parsing, not sorted!, directory path parsing major step]

  * object, block text of='block' (instead of 'group'), introduce is='block'
    * dal_doc_str, dal_doc_objects, identify
    * dal_syntax, introduce block syntax block{ }block, like group
    * vim syntax highlighting, match block
    * related downstream changes (many files affected)
      Note: adjust output representation later

  [UGLY HACKS:
    po4a, en assumed as source lanuage, should be configurable
    po4a, only configured so far to recognise fr & es, fix
    po4a for processing .ssm .ssi, skipping of md title & author
  ]
  [FIX todo:
    directory structure for multilingual outputs
    breakage to epub, where src and trans dirs
    manifest
    decide what to do about source output & po4a & git
  ]
